Bug 249209 - editors/micro: Update to 2.0.7
Summary: editors/micro: Update to 2.0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://github.com/zyedidia/micro/rel...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-09-09 12:33 UTC by Lewis Cook
Modified: 2020-09-20 00:53 UTC (History)
2 users (show)

See Also:


Attachments
micro-2.0.7.diff (6.07 KB, patch)
2020-09-09 12:33 UTC, Lewis Cook
vulcan: maintainer-approval+
Details | Diff
micro-2.0.7.diff (6.99 KB, patch)
2020-09-10 23:29 UTC, Lewis Cook
vulcan: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook freebsd_triage 2020-09-09 12:33:20 UTC
Created attachment 217842 [details]
micro-2.0.7.diff

* Whilst here pet portclippy.
* Add `DEBUG` to `OPTIONS_DEFINE`,
  which enables debug logging.
* General cleanup and housekeeping.

Changelog:

 * https://github.com/zyedidia/micro/releases/v2.0.7

QA:

 * portlint: OK (looks fine).
 * testport: OK (poudriere: 12.1-RELEASE-p8, amd64).

MFH: No (Feature changes).
Comment 1 Fernando Apesteguía freebsd_committer 2020-09-10 12:07:48 UTC
WARN: /tmp/249209/editors/micro/files/patch-vendor_github.com_zyedidia_pty_ztypes__freebsd__arm64.go: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.

Can yo regenerate?

Thanks!
Comment 2 Lewis Cook freebsd_triage 2020-09-10 23:29:58 UTC
Created attachment 217877 [details]
micro-2.0.7.diff

(In reply to Fernando Apesteguía from comment #1)
Done, cheers.
Comment 3 Yuri Victorovich freebsd_committer 2020-09-20 00:52:51 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2020-09-20 00:53:37 UTC
A commit references this bug:

Author: yuri
Date: Sun Sep 20 00:52:43 UTC 2020
New revision: 549079
URL: https://svnweb.freebsd.org/changeset/ports/549079

Log:
  editors/micro: Update 2.0.6 -> 2.0.7

  PR:		249209
  Submitted by:	vulcan@wired.sh (maintainer)

Changes:
  head/editors/micro/Makefile
  head/editors/micro/distinfo
  head/editors/micro/files/patch-vendor_github.com_zyedidia_pty_ztypes__freebsd__arm64.go